Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class FileSystemRepositoryFacade

    java.lang.Object
      com.pmease.quickbuild.repository.FileSystemRepositoryFacade

All Implemented Interfaces:
  java.io.Serializable

public class FileSystemRepositoryFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for FileSystemRepository. A simple file system based repository.

See Also:
  Serialized Form

Constructor Summary
`FileSystemRepositoryFacade()`

Method Summary
`java.lang.String` | `getLoginMappingName()` Choose login mapping for this repository.
`java.util.List` | `getModules()`
`java.lang.String` | `getName()` Provide a name for this repository.
`long` | `getQuietPeriod()` Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build.
`java.lang.String` | `getSourceDir()` OGNL: Specify source directory of this repository.
`void` | `setLoginMappingName(java.lang.String loginMappingName)`
`void` | `setModules(java.util.List modules)`
`void` | `setName(java.lang.String name)`
`void` | `setQuietPeriod(long quietPeriod)`
`void` | `setSourceDir(java.lang.String sourceDir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystemRepositoryFacade

    public FileSystemRepositoryFacade()

Method Detail

### getSourceDir

    public java.lang.String getSourceDir()

  OGNL: Specify source directory of this repository. Changes can be detected in the source directory based on modification time, and modified files under this directory will be copied to the configuration's checkouts directory to perform build.

### setSourceDir

    public void setSourceDir(java.lang.String sourceDir)

### getQuietPeriod

    public long getQuietPeriod()

  Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build. This is used to avoid checking out code in the middle of some other checkins. This property is optional. When set as 0, quiet period will not be used before checking out code to build.

### setQuietPeriod

    public void setQuietPeriod(long quietPeriod)

### getName

    public java.lang.String getName()

  Provide a name for this repository.

### setName

    public void setName(java.lang.String name)

### getModules

    public java.util.List getModules()

### setModules

    public void setModules(java.util.List modules)

### getLoginMappingName

    public java.lang.String getLoginMappingName()

  Choose login mapping for this repository. Login mapping is used to map repository login to QuickBuild user. It can be configured at \"login mappings\" tab of the configuration.

### setLoginMappingName

    public void setLoginMappingName(java.lang.String loginMappingName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.